org.keycloak.adapters.jetty.core

## Class JettyHttpFacade.ResponseFacade

- java.lang.Object
- - org.keycloak.adapters.jetty.core.JettyHttpFacade.ResponseFacade

- All Implemented Interfaces:
    HttpFacade.Response
  Enclosing class:
    JettyHttpFacade

      protected class JettyHttpFacade.ResponseFacade
      extends Object
      implements HttpFacade.Response

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `ended`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JettyHttpFacade.ResponseFacade()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHeader(String name, String value)`
    `void` | `end()` If the response is finished, end it.
    `OutputStream` | `getOutputStream()`
    `boolean` | `isEnded()`
    `void` | `resetCookie(String name, String path)`
    `void` | `sendError(int code, String message)`
    `void` | `setCookie(String name, String value, String path, String domain, int maxAge, boolean secure, boolean httpOnly)`
    `void` | `setHeader(String name, String value)`
    `void` | `setStatus(int status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ended

          protected boolean ended

  - ### Constructor Detail

    - #### JettyHttpFacade.ResponseFacade

          protected JettyHttpFacade.ResponseFacade()

  - ### Method Detail

    - #### setStatus

          public void setStatus(int status)

      Specified by:
        `setStatus` in interface `HttpFacade.Response`

    - #### addHeader

          public void addHeader(String name,
                       String value)

      Specified by:
        `addHeader` in interface `HttpFacade.Response`

    - #### setHeader

          public void setHeader(String name,
                       String value)

      Specified by:
        `setHeader` in interface `HttpFacade.Response`

    - #### resetCookie

          public void resetCookie(String name,
                         String path)

      Specified by:
        `resetCookie` in interface `HttpFacade.Response`

    - #### setCookie

          public void setCookie(String name,
                       String value,
                       String path,
                       String domain,
                       int maxAge,
                       boolean secure,
                       boolean httpOnly)

      Specified by:
        `setCookie` in interface `HttpFacade.Response`

    - #### getOutputStream

          public OutputStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `HttpFacade.Response`

    - #### sendError

          public void sendError(int code,
                       String message)

      Specified by:
        `sendError` in interface `HttpFacade.Response`

    - #### end

          public void end()

      Description copied from interface: `HttpFacade.Response`
      If the response is finished, end it.
      Specified by:
        `end` in interface `HttpFacade.Response`

    - #### isEnded

          public boolean isEnded()

Copyright © 2015. All rights reserved.